Security Enhanced Linux Reference Policy

# Layer: admin

## Module: cloudinit

Interfaces

### Description:

Init scripts for cloud VMs

### Interfaces:

cloudinit_create_runtime_dirs( domain )

##### Summary

Create cloud-init runtime directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_create_runtime_files( domain )

##### Summary

Create cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_filetrans_runtime( domain , object_class , name )

##### Summary

Create files in /run with the type used for cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
name | The name of the object being created.

cloudinit_getattr_state_files( domain )

##### Summary

Get the attribute of cloud-init state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_write_runtime_files( domain )

##### Summary

Write cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return